Create a server on DigitalOcean
API server
https://app.coolify.io/api/v1Create a DigitalOcean droplet and link it as a Coolify server. A cloud-init script or extra SSH key IDs need a token with the deploy permission.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Response Body
application/json
application/json
curl -X POST "https://app.coolify.io/api/v1/servers/digitalocean"Empty
{ "message": "Unauthenticated."}Empty
Empty
Empty
{ "message": "Failed to create Hetzner server. The Hetzner API token does not have permission for this request. Use a token with read and write access.", "provider_status": 403, "provider_error_code": "forbidden"}